qBittorrent - встерчаем новый продвинутый торрент клиент

Используем пакеты, расширяющие возможности оборудования
Аватара пользователя
Zyxmon
Администратор
Сообщения: 1660
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 06 апр 2019, 09:41

kaztost писал(а):Источник цитаты энтварный glibc заблокирован для старых ядер.

Проблема не в самой glibc, а несколько глубже. Если пакет падает, но нужно смотреть на каком системном вызове и патчить или переконфигурировать. Мы этим занимались, когда поддерживали mipsel на 2.6.22. Геморрой!
Сейчас есть ветка armv7 на базе ядра 2.6.36 - можно всегда ей пользоваться. Кроме qbittorrent в этой репе по сравнению с версией для 3х ядер или отсутствуют некоторые пакеты (3-4 штуки) или же старые версии пакетов, например, usbip_legacy.

kaztost
Сообщения: 218
Зарегистрирован: 16 июл 2017, 23:29

Сообщение kaztost » 06 апр 2019, 12:38

Zyxmon, да нет, я о другом немного. Если проверку на версию ядра в glibc в репе для ядер 3.2 убрать (возможно и для других архитектур), и не важно как: через конфигурацию glibc или правкой кода, то насколько всем это помешает?

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1660
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 06 апр 2019, 13:10

kaztost писал(а):Источник цитаты Если проверку на версию ядра в glibc в репе для ядер 3.2 убрать

Зачем? glibc 2.27 для этих ядер собирается. https://unix.stackexchange.com/question ... old-kernel

kaztost
Сообщения: 218
Зарегистрирован: 16 июл 2017, 23:29

Сообщение kaztost » 06 апр 2019, 16:44

Zyxmon, если есть желание - лучше, конечно, собрать тогда. Может и qt5 соберется. А если желания или возможности нет, просто сделать неопределенной константу DL_SYSDEP_OSCHECK при сборке. Тогда glibc соберется для 3.2, но линкер ругаться "Kernel too old" не будет, будет спокойно загружать библиотеки под новое ядро.

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1660
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 07 апр 2019, 08:45

kaztost писал(а):Источник цитаты Тогда glibc соберется для 3.2

Так мы и собираем glibc 2.27 для 3.2. Мы не собираем для 2.6. И смысла собирать для 2.6 нет. Вариант 2.6 "держим" для широкого круга роутеров на broadcom.

kaztost
Сообщения: 218
Зарегистрирован: 16 июл 2017, 23:29

Сообщение kaztost » 07 апр 2019, 12:14

Zyxmon, ну хорошо, себе-то я собрал glibc 2.27 под 3.2 без проверки ядра. Собирать специальный glibc 2.27 для 2.6 да еще все пакеты под него желания нет. А так можно тупо пользоваться пакетами из имеющейся репы для 3.2 (мне много не надо, и то, что нужно не сегфолтит). Кому надо - может меня попросить.

Там же не только неизвестный мне broadcom, но и Андроид 4-й версии.

Аватара пользователя
valeramalko
Сообщения: 1
Зарегистрирован: 15 апр 2019, 18:28

Сообщение valeramalko » Сегодня, 18:00

добрый день, установил на keenetic giga kn-1010, работает нормально, но даже после остановки всех закачек и раздач ОЗУ роутера не освобождается, остается занято около 70% ~180Мб, до запуска закачки 40%, так и должно быть?

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1660
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » Сегодня, 18:51

valeramalko, а как Вы определяете свободное озу? С помощью free?


Вернуться в «Entware/Qnapware/Optware/Zyxware - обсуждаем репозитории пакетов»

Кто сейчас на конференции

Всего 1 посетитель :: 1 зарегистрированный, 0 скрытых и 0 гостей (основано на активности пользователей за последние 5 минут)
Больше всего посетителей (121) здесь было 18 май 2016, 18:19

Сейчас этот форум просматривают: Bing [Bot] и 0 гостей